%define upstream_name    Plack-Middleware-Debug
%define upstream_version 0.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Debug panel to inspect the environment
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Method::Modifiers)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(Encode)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Module::Versions)
BuildRequires: perl(Plack)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Text::MicroTemplate)
BuildRequires: perl(parent)
BuildArch: noarch

%description
The debug middleware offers a configurable set of panels that displays
information about the current request and response. The information is
generated only for responses with a status of 200 ('OK') and a
'Content-Type' that contains 'text/html' or 'application/xhtml+xml' and is
embedded in the HTML that is sent back to the browser. Also the code is
injected directly before the '</body>' tag so if there is no such tag, the
information will not be injected.

To enable the middleware, just use the Plack::Builder manpage as usual in
your '.psgi' file:

    use Plack::Builder;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build


%install
./Build install --destdir=%{buildroot}

%files
%doc Changes INSTALL META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.160.0-8pclos2017
- rebuild against updates

